/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_ishex.c                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vbudnik <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2018/04/14 16:02:22 by vbudnik           #+#    #+#             */
/*   Updated: 2018/04/14 16:03:04 by vbudnik          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int		ft_ishex(int ch)
{
	if (ch >= '0' && ch <= '9')
		return (1);
	if (ch == 'A' || ch == 'a')
		return (1);
	if (ch == 'B' || ch == 'b')
		return (1);
	if (ch == 'C' || ch == 'c')
		return (1);
	if (ch == 'E' || ch == 'e')
		return (1);
	if (ch == 'F' || ch == 'f')
		return (1);
	if (ch == 'X' || ch == 'x')
		return (1);
	return (0);
}
